Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]can't install gnome3 from overlays
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Sat Apr 09, 2011 11:32 am    Post subject: [solved]can't install gnome3 from overlays Reply with quote

hi all.
i want to install gnome 3 from overlay but i am getting this error message
Code:
darkstar darkstar # emerge -av gnome
!!! CONFIG_PROTECT is empty

These are the packages that would be merged, in order:

Calculating dependencies - * Digest verification failed:
 * /var/lib/layman/keruspe/dev-vcs/git/git-9999-r1.ebuild
 * Reason: Failed on RMD160 verification
 * Got: 4425689576d50776afb4804cfe502c0891dfafdb
 * Expected: 9292a8c2784d7ef22c2690c93b91affe881183d6
... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/gtk+:2

  (x11-libs/gtk+-2.24.3, ebuild scheduled for merge) pulled in by
    >=x11-libs/gtk+-2.24:2 required by (x11-libs/gtk+-9999, ebuild scheduled for merge)

  (x11-libs/gtk+-2.22.1-r1, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

sys-fs/udev:0

  (sys-fs/udev-9999, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-160 required by (media-libs/libcanberra-0.28, ebuild scheduled for merge)

  (sys-fs/udev-151-r4, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


emerge: there are no ebuilds to satisfy ">=x11-libs/gtk+-2.90:3[introspection]".
(dependency required by "dev-libs/libpeas-9999[gtk]" [ebuild])
(dependency required by "net-misc/vinagre-9999" [ebuild])
(dependency required by "gnome-base/gnome-extra-apps-3.0.0" [ebuild])
(dependency required by "gnome-base/gnome-3.0.0" [ebuild])
(dependency required by "gnome" [argument])


i read some topics from forum and from some other sites , but cant find solution :(
thanks for helping in advance :)
_________________
Iove linux


Last edited by redwold on Tue Apr 12, 2011 4:03 pm; edited 1 time in total
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Sat Apr 09, 2011 9:51 pm    Post subject: Reply with quote

Hi,
Try
Code:
echo “-introspection” >> /etc/portage/profile/use.mask
I also find only using the gnome overlay was all I needed ;)
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
monsm
Guru
Guru


Joined: 26 Sep 2007
Posts: 467
Location: London, UK

PostPosted: Sat Apr 09, 2011 11:33 pm    Post subject: Reply with quote

cdstealer wrote:
Hi,
Try
Code:
echo “-introspection” >> /etc/portage/profile/use.mask
I also find only using the gnome overlay was all I needed ;)


Hi,
I was trying this and I get "file not found" on use.mask. I have one under /usr/portage/profile is that the one?

I haven't seen this file used before, what is it for. If introspection should be off, why not set it in the global use flags?
:?

Mons
Back to top
View user's profile Send private message
-niko-
n00b
n00b


Joined: 05 Apr 2011
Posts: 16
Location: Montevideo, Uruguay

PostPosted: Sat Apr 09, 2011 11:49 pm    Post subject: Reply with quote

monsm wrote:
cdstealer wrote:
Hi,
Try
Code:
echo “-introspection” >> /etc/portage/profile/use.mask
I also find only using the gnome overlay was all I needed ;)


Hi,
I was trying this and I get "file not found" on use.mask. I have one under /usr/portage/profile is that the one?

I haven't seen this file used before, what is it for. If introspection should be off, why not set it in the global use flags?
:?

Mons


Code:
# mkdir /etc/portage/profile
# echo “-introspection” >> /etc/portage/profile/use.mask


You need set it in the profile.

:D
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Sun Apr 10, 2011 5:29 am    Post subject: Reply with quote

Hi mons,
Niko is correct. This is something that I also read elsewhere. I had never used the use.mask file before, but is seems that it is a global use setting like make.conf but not for specified packages like package.use.
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Sun Apr 10, 2011 9:33 am    Post subject: Reply with quote

cdstealer wrote:
Hi,
Try
Code:
echo “-introspection” >> /etc/portage/profile/use.mask
I also find only using the gnome overlay was all I needed ;)


thanks for your reply , i did this . but it still install gnome 2.32 in place of 3 . :( what to do now !!!
_________________
Iove linux
Back to top
View user's profile Send private message
jancici
Apprentice
Apprentice


Joined: 27 Jan 2004
Posts: 284
Location: Slovakia

PostPosted: Sun Apr 10, 2011 10:32 am    Post subject: Reply with quote

I have same problem here

this is not working for me
cdstealer wrote:
Code:
echo “-introspection” >> /etc/portage/profile/use.mask



here is what I get
Code:
emerge -pv =gnome-3.0.0

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=x11-libs/gtk+-2.90:3[introspection]" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/gtk+-9999 (masked by: missing keyword)

(dependency required by "dev-libs/libpeas-1.0.0[gtk]" [ebuild])
(dependency required by "net-misc/vinagre-3.0.0" [ebuild])
(dependency required by "gnome-base/gnome-extra-apps-3.0.0" [ebuild])
(dependency required by "gnome-base/gnome-3.0.0[extras]" [ebuild])
(dependency required by "=gnome-3.0.0" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


I do not understand where gtk+-2.90:3 is taking from
checking possible places:

Code:
ll /usr/portage/x11-libs//gtk+/
total 143
drwxr-xr-x 1 portage portage   372 Apr  9 21:01 .
drwxr-xr-x 1 portage portage  2442 Apr 10 09:31 ..
-rw-r--r-- 1 root    root    74646 Apr  9 21:01 ChangeLog
-rw-r--r-- 1 root    root     8086 Apr  9 21:01 Manifest
drwxr-xr-x 1 portage portage  1134 Apr 10 09:31 files
-rw-r--r-- 1 root    root     2386 Aug  1  2008 gtk+-1.2.10-r12.ebuild
-rw-r--r-- 1 root    root     6422 Nov 15 23:58 gtk+-2.20.1-r1.ebuild
-rw-r--r-- 1 root    root     7597 Mar 22 21:01 gtk+-2.22.1-r1.ebuild
-rw-r--r-- 1 root    root     7374 Feb  9 18:18 gtk+-2.24.0.ebuild
-rw-r--r-- 1 root    root     7386 Feb 27 11:01 gtk+-2.24.1.ebuild
-rw-r--r-- 1 root    root     7384 Mar 18 20:09 gtk+-2.24.3.ebuild
-rw-r--r-- 1 root    root     5806 Mar 30 10:01 gtk+-3.0.6.ebuild
-rw-r--r-- 1 root    root     5925 Apr  9 21:01 gtk+-3.0.8.ebuild
-rw-r--r-- 1 root    root      549 Jun 20  2010 metadata.xml


Code:
ll /var/lib/layman/gnome/x11-libs/gtk+/
total 9
drwxr-xr-x 1 root root   48 Apr 10 10:16 .
drwxr-xr-x 1 root root  128 Apr 10 10:16 ..
-rw-r--r-- 1 root root 1080 Apr 10 10:16 Manifest
-rw-r--r-- 1 root root 5907 Apr 10 10:16 gtk+-9999.ebuild
Back to top
View user's profile Send private message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Sun Apr 10, 2011 10:58 am    Post subject: Reply with quote

this time this stupid thing happens
Code:
darkstar darkstar # emerge --update world
!!! CONFIG_PROTECT is empty
Calculating dependencies | * Digest verification failed:
 * /var/lib/layman/keruspe/dev-vcs/git/git-9999-r1.ebuild
 * Reason: Failed on RMD160 verification
 * Got: 4425689576d50776afb4804cfe502c0891dfafdb
 * Expected: 9292a8c2784d7ef22c2690c93b91affe881183d6
... done!
[ebuild     U ] dev-libs/nspr-4.8.7 [4.8.6]
[ebuild  N    ] net-libs/libasyncns-0.7  USE="-debug -doc"
[ebuild  N    ] net-misc/mobile-broadband-provider-info-20100510
[ebuild  N    ] net-voip/telepathy-connection-managers-1  USE="-icq -irc -jabber -msn -sip -yahoo -zeroconf"
[ebuild     U ] sys-devel/autoconf-9999 [2.65-r1]
[ebuild     U ] app-text/gnome-doc-utils-0.20.5 [0.20.4]
[ebuild     U ] media-libs/gstreamer-0.10.32-r1 [0.10.31] USE="introspection*"
[ebuild     U ] dev-libs/nss-3.12.9 [3.12.8]
[ebuild     U ] dev-cpp/cairomm-1.9.8 [1.8.6]
[ebuild  N    ] x11-misc/xdg-user-dirs-0.13  USE="nls"
[ebuild  N    ] x11-themes/gnome-icon-theme-symbolic-3.0.0
[ebuild     U ] x11-themes/gnome-backgrounds-3.0.0 [2.32.0]
[ebuild  N    ] media-video/gnome-video-effects-0.3.0
[ebuild  N    ] sys-apps/lsb-release-1.4
[ebuild  N    ] media-fonts/cantarell-0.0.6  USE="X"
[ebuild  N    ] app-admin/eselect-esd-20060719
[ebuild  N    ] gnome-extra/gnome-audio-2.22.2  USE="-debug"
[ebuild  N    ] gnome-extra/yelp-xsl-3.0.0
[ebuild     U ] media-libs/libexif-0.6.20 [0.6.19]
[ebuild  N    ] dev-lang/lua-5.1.4-r4  USE="deprecated readline -emacs -static"
[ebuild     U ] net-wireless/wpa_supplicant-0.7.3-r4 [0.7.3-r2]
[ebuild     U ] dev-libs/glib-9999 [2.26.1-r1] USE="introspection* -static-libs*"
[ebuild     U ] x11-themes/gnome-icon-theme-3.0.0 [2.91.7]
[ebuild     U ] net-print/cups-1.4.6 [1.3.11-r4] USE="threads%* usb%* -debug% -static-libs%" LINGUAS="-da% -eu% -fi% -ko% -nl% -no% -pt% -pt_BR% -ru% -zh%"
[ebuild  N    ] media-libs/libraw-0.10.0-r1  USE="lcms openmp -examples"
[ebuild  N    ] media-libs/libgphoto2-2.4.10  USE="exif nls -doc -examples -zeroconf" CAMERAS="ptp2 -adc65 -agfa_cl20 -aox -ax203 -barbie -canon -casio_qv -clicksmart310 -digigr8 -digita -dimagev -dimera3500 -directory -enigma13 -fuji -gsmart300 -hp215 -iclick -jamcam -jd11 -jl2005a -jl2005c -kodak_dc120 -kodak_dc210 -kodak_dc240 -kodak_dc3200 -kodak_ez200 -konica -konica_qm150 -largan -lg_gsm -mars -mustek -panasonic_coolshot -panasonic_dc1000 -panasonic_dc1580 -panasonic_l859 -pccam300 -pccam600 -polaroid_pdc320 -polaroid_pdc640 -polaroid_pdc700 -ricoh -ricoh_g3 -samsung -sierra -sipix_blink -sipix_blink2 -sipix_web2 -smal -sonix -sony_dscf1 -sony_dscf55 -soundvision -spca50x -sq905 -st2205 -stv0674 -stv0680 -sx330z -template -topfield -toshiba_pdrm11"
[ebuild  N    ] dev-scheme/guile-1.8.5-r1  USE="deprecated nls regex threads -debug -debug-freelist -debug-malloc -discouraged -elisp -emacs -networking"
[ebuild  N    ] dev-libs/libatomic_ops-1.2-r1
[ebuild     U ] gnome-extra/gnome-user-docs-3.0.0 [2.32.0]
[ebuild  N    ] media-libs/quvi-0.2.14-r1  USE="-doc -examples -offensive -static-libs -test"
[ebuild     U ] sys-fs/udev-9999 [151-r4]
[ebuild     U ] x11-libs/pango-1.29.0 [1.28.3-r1] USE="introspection*"
[ebuild     U ] x11-libs/gdk-pixbuf-2.23.3 [2.22.1] USE="introspection*"
[ebuild  N    ] gnome-base/gsettings-desktop-schemas-9999
[ebuild     U ] media-libs/gst-plugins-base-0.10.32 [0.10.31] USE="introspection*"
[ebuild     U ] dev-python/pygobject-2.28.3 [2.26.0-r1] USE="introspection*"
[ebuild  NS   ] dev-lang/vala-0.12.0 [0.10.3] USE="vapigen -test"
[ebuild     U ] dev-libs/atk-2.0.0 [1.32.0] USE="introspection*"
[ebuild  N    ] dev-libs/json-glib-0.12.2  USE="introspection -coverage -debug -doc"
[ebuild  N    ] dev-libs/libgee-0.6.1  USE="introspection -debug"
[ebuild     U ] dev-cpp/glibmm-2.28.0 [2.24.2-r1]
[ebuild     U ] x11-libs/libxklavier-5.1 [5.0]
[ebuild     U ] dev-libs/gobject-introspection-9999 [0.10.2]
[ebuild  N    ] sys-apps/accountsservice-0.6.6-r3  USE="introspection -debug -systemd"
[ebuild     U ] gnome-base/gnome-menus-3.0.0 [2.30.5] USE="introspection*"
[ebuild  N    ] media-libs/gexiv2-0.2.1
[ebuild  N    ] media-libs/memphis-0.2.3  USE="introspection -debug -doc -vala"
[ebuild     U ] x11-libs/gtk+-2.24.3 [2.22.1-r1] USE="introspection*"
[ebuild  N    ] media-libs/clutter-9999  USE="introspection -debug -doc"
[ebuild     U ] net-libs/telepathy-glib-0.14.3 [0.12.7] USE="introspection* -test%"
[ebuild     U ] gnome-base/gvfs-9999 [1.6.6-r1] USE="-iphone%"
[ebuild  N    ] media-sound/pulseaudio-0.9.21.1  USE="X alsa asyncns bluetooth caps dbus glib gnome ipv6 tcpd udev -avahi -doc (-hal) -jack -libsamplerate -lirc (-oss) (-system-wide) -test"
[ebuild  N    ] media-gfx/shotwell-0.9.1-r1
[ebuild     U ] dev-cpp/pangomm-2.28.2 [2.26.3]
[ebuild  N    ] net-libs/glib-networking-2.28.5  USE="gnome libproxy ssl"
[ebuild  NS   ] x11-libs/gtk+-9999 [2.22.1-r1] USE="cups introspection (-aqua) -debug -doc -examples -test -vim-syntax -xinerama"
[ebuild     U ] net-libs/libsoup-2.34.0 [2.32.2] USE="introspection*"
[ebuild   R   ] gnome-base/gconf-2.32.0-r1  USE="introspection*"
[ebuild  N    ] net-im/telepathy-logger-0.2.8  USE="introspection -doc -test"
[ebuild     U ] net-dialup/ppp-2.4.5-r1 [2.4.4-r25]
[ebuild  N    ] x11-libs/mx-1.1.9  USE="dbus gtk introspection startup-notification -debug -doc -glade"
[ebuild  N    ] media-libs/clutter-gst-1.3.8  USE="introspection -debug -doc -examples"
[ebuild  N    ] x11-misc/xdg-user-dirs-gtk-0.8-r1
[ebuild     U ] app-text/poppler-0.16.3 [0.14.5] USE="introspection%*"
[ebuild  N    ] dev-libs/folks-0.4.2  USE="-debug"
[ebuild  N    ] net-libs/telepathy-farsight-0.0.15  USE="python"
[ebuild  N    ] net-im/telepathy-mission-control-5.6.1  USE="-gnome-keyring -test"
[ebuild     U ] media-libs/libcanberra-0.28 [0.26] USE="gtk3%* udev%*"
[ebuild  NS   ] gnome-base/gnome-desktop-9999 [2.32.1] USE="introspection -debug -doc"
[ebuild     U ] gnome-base/libgnomekbd-9999 [2.32.0] USE="introspection%*"
[ebuild  N    ] dev-libs/libpeas-9999  USE="gtk python -doc -seed -test -vala"
[ebuild  N    ] media-libs/clutter-gtk-1.0.0  USE="introspection -debug -doc -examples"
[ebuild     U ] dev-libs/libgweather-9999 [2.30.3] USE="introspection%*"
[ebuild  NS   ] x11-libs/libwnck-3.0.0 [2.30.6] USE="introspection startup-notification -doc"
[ebuild  N    ] gnome-base/dconf-9999  USE="X -doc"
[ebuild  NS   ] net-libs/webkit-gtk-1.3.13 [1.2.7] USE="gstreamer introspection jit spell -coverage -debug -doc -test"
[ebuild     U ] app-arch/file-roller-9999 [2.32.1]
[ebuild     U ] gnome-extra/gcalctool-9999 [5.32.2]
[ebuild  N    ] gnome-extra/gnome-tweak-tool-3.0.0
[ebuild     U ] gnome-extra/gucharmap-3.0.0 [2.32.1] USE="introspection*"
[ebuild     U ] gnome-extra/gconf-editor-3.0.0 [2.32.0]
[ebuild     U ] net-analyzer/gnome-nettool-9999 [2.32.0]
[ebuild  NS   ] dev-libs/libunique-3.0.0 [1.1.6] USE="introspection -debug -doc -test"
[ebuild  NS   ] gnome-extra/gtkhtml-4.0.0 [3.32.2]
[ebuild     U ] net-libs/gtk-vnc-0.4.3-r300 [0.4.2-r2] USE="introspection*"
[ebuild  NS   ] dev-cpp/gtkmm-3.0.0 [2.22.0] USE="-doc -examples -test"
[ebuild     U ] app-text/evince-9999 [2.32.0-r1] USE="introspection*"
[ebuild  NS   ] x11-libs/gtksourceview-9999 [2.10.5-r1] USE="introspection -doc -glade -test"
[ebuild  N    ] gnome-base/gnome-core-libs-3.0.0  USE="cups"
[ebuild     U ] gnome-extra/evolution-data-server-9999 [2.32.2] USE="introspection%*"
[ebuild  N    ] x11-wm/mutter-3.0.0  USE="introspection -test -xinerama"
[ebuild     U ] media-video/cheese-9999 [2.32.0] USE="introspection%* -vala%"
[ebuild     U ] gnome-extra/gnome-games-3.0.0 [2.28.2] USE="aisleriot%* clutter%* introspection%* sudoku%* -glchess% -seed%"
[ebuild     U ] gnome-extra/gnome-system-monitor-3.0.0 [2.28.2]
[ebuild     U ] net-misc/vinagre-9999 [2.30.3] USE="introspection%*"
[ebuild     U ] x11-wm/metacity-2.34.0 [2.30.3]
[ebuild     U ] gnome-base/gnome-panel-9999 [2.32.1-r1] USE="introspection*"
[ebuild     U ] app-editors/gedit-9999 [2.30.4] USE="gvfs%* introspection%*"
[ebuild     U ] media-gfx/eog-9999 [2.32.1] USE="introspection%*"
[ebuild     U ] gnome-extra/yelp-3.0.0 [2.30.2-r1] USE="-doc%"
[ebuild     U ] gnome-extra/gnome-screensaver-9999 [2.30.2]
[ebuild     U ] x11-libs/libnotify-0.7.2-r1 [0.4.5] USE="introspection%* -doc% (-test)"
[ebuild     U ] app-cdr/brasero-9999 [2.32.1] USE="introspection* -beagle% -packagekit%"
[ebuild     U ] mail-client/evolution-9999 [2.32.2] USE="-connman%"
[ebuild     U ] net-libs/xulrunner-2.0-r1 [1.9.2.16] USE="crashreporter%* webm%* -gconf%"
[ebuild     U ] gnome-base/nautilus-9999 [2.32.2.1] USE="exif%* introspection* -sendto%"
[ebuild     U ] www-client/icecat-3.6.16 [3.6.15]
[ebuild  N    ] dev-libs/gjs-9999-r1  USE="-coverage -examples -test"
[ebuild     U ] sys-auth/polkit-0.101 [0.99-r1] USE="introspection*"
[ebuild     U ] gnome-extra/polkit-gnome-0.101-r1 [0.99] USE="introspection*"
[ebuild     U ] net-misc/networkmanager-0.8.998-r1 [0.8-r1] USE="dhcpcd* introspection%* nss* ppp%* -systemd% -wimax%"
[ebuild   R   ] sys-power/upower-0.9.8  USE="introspection*"
[ebuild     U ] gnome-base/gnome-keyring-9999 [2.32.1]
[ebuild     U ] gnome-base/libgnome-keyring-3.0.0 [2.32.0]
[ebuild     U ] app-crypt/seahorse-9999 [2.32.0] USE="introspection*"
[ebuild     U ] net-libs/libsoup-gnome-2.34.0 [2.32.2] USE="introspection*"
[ebuild     U ] net-misc/vino-9999 [2.32.1]
[ebuild     U ] www-client/epiphany-9999 [2.30.6] USE="introspection%*"
[ebuild  N    ] net-libs/rest-0.7.9  USE="gnome introspection -doc -test"
[ebuild     U ] dev-libs/totem-pl-parser-2.32.4 [2.32.3] USE="introspection* quvi%*"
[ebuild  N    ] media-libs/libchamplain-0.10.0  USE="gtk introspection -debug -doc -vala"
[ebuild  N    ] net-libs/libsocialweb-0.25.15  USE="gnome introspection networkmanager -connman -doc -vala"
[ebuild     U ] media-video/totem-9999 [2.32.0] USE="introspection%* -vala% -zeroconf%"
[ebuild  NS   ] x11-libs/vte-9999 [0.26.2] USE="introspection -debug -doc -glade"
[ebuild     U ] x11-terms/gnome-terminal-9999 [2.32.1]
[ebuild     U ] gnome-extra/gnome-utils-9999 [2.32.0-r1]
[ebuild  N    ] x11-themes/gnome-themes-standard-9999
[uninstall    ] x11-themes/gnome-themes-2.32.1
[blocks b     ] x11-themes/gnome-themes ("x11-themes/gnome-themes" is blocking x11-themes/gnome-themes-standard-9999)
[ebuild     U ] gnome-base/gnome-settings-daemon-9999 [2.32.1] USE="cups%* udev%* -packagekit%"
[ebuild     U ] gnome-base/gnome-session-9999 [2.32.1]
[ebuild     U ] gnome-base/gdm-3.0.0-r1 [2.20.11] USE="xklavier%* -test%"
[ebuild     U ] gnome-base/gnome-control-center-9999 [2.32.1] USE="cheese%* cups%* networkmanager%* socialweb%*"
[blocks b     ] <gnome-base/gnome-control-center-2.90 ("<gnome-base/gnome-control-center-2.90" is blocking gnome-extra/gnome-utils-9999)
[ebuild  N    ] media-libs/libgnome-media-profiles-3.0.0  USE="-debug"
[uninstall    ] gnome-extra/gnome-media-2.32.0
[blocks b     ] <gnome-extra/gnome-media-2.32.0-r300 ("<gnome-extra/gnome-media-2.32.0-r300" is blocking gnome-base/gnome-control-center-9999, media-libs/libgnome-media-profiles-3.0.0)
[ebuild     U ] net-wireless/gnome-bluetooth-9999 [2.32.0] USE="introspection*"
[ebuild     U ] media-sound/sound-juicer-2.99.0_pre20110405 [2.32.0]
[ebuild  N    ] net-im/empathy-9999  USE="gnome map networkmanager spell -debug -eds -sendto -test -webkit"
[ebuild     U ] gnome-extra/gnome-power-manager-9999 [2.32.0]
[ebuild  N    ] gnome-extra/nm-applet-0.8.998  USE="bluetooth -debug"
[ebuild  N    ] gnome-base/gnome-shell-3.0.0.2  USE="nm-applet"
[ebuild  N    ] gnome-base/gnome-core-apps-3.0.0  USE="bluetooth cdr cups"
[ebuild  N    ] gnome-base/gnome-extra-apps-3.0.0
[ebuild  N    ] gnome-base/gnome-fallback-3.0.0  USE="bluetooth cdr cups"
[ebuild     U ] gnome-base/gnome-3.0.0 [2.32.1] USE="extras%* fallback%*"
[ebuild  N    ] x11-libs/gnome-pty-helper-0.28.0
[uninstall    ] x11-libs/vte-0.26.2
[blocks b     ] <x11-libs/vte-0.27.90 ("<x11-libs/vte-0.27.90" is blocking x11-libs/gnome-pty-helper-0.28.0)
[blocks B     ] x11-themes/gnome-themes-extras ("x11-themes/gnome-themes-extras" is blocking x11-themes/gnome-themes-standard-9999)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (x11-themes/gnome-themes-extras-2.22.0-r1, installed) pulled in by
    x11-themes/gnome-themes-extras required by @selected

  (x11-themes/gnome-themes-standard-9999, ebuild scheduled for merge) pulled in by
    >=x11-themes/gnome-themes-standard-2.91.92 required by (gnome-base/gnome-session-9999, ebuild scheduled for merge)
    >=x11-themes/gnome-themes-standard-2.91 required by (gnome-base/gnome-settings-daemon-9999, ebuild scheduled for merge)
    >=x11-themes/gnome-themes-standard-3.0.0 required by (gnome-base/gnome-core-apps-3.0.0, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

what to do now?
_________________
Iove linux
Back to top
View user's profile Send private message
gnot
n00b
n00b


Joined: 02 May 2008
Posts: 20

PostPosted: Sun Apr 10, 2011 11:01 am    Post subject: Reply with quote

jancici wrote:
I have same problem here

this is not working for me
cdstealer wrote:
Code:
echo “-introspection” >> /etc/portage/profile/use.mask



here is what I get
Code:
emerge -pv =gnome-3.0.0

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=x11-libs/gtk+-2.90:3[introspection]" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-libs/gtk+-9999 (masked by: missing keyword)

(dependency required by "dev-libs/libpeas-1.0.0[gtk]" [ebuild])
(dependency required by "net-misc/vinagre-3.0.0" [ebuild])
(dependency required by "gnome-base/gnome-extra-apps-3.0.0" [ebuild])
(dependency required by "gnome-base/gnome-3.0.0[extras]" [ebuild])
(dependency required by "=gnome-3.0.0" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


I do not understand where gtk+-2.90:3 is taking from
checking possible places:

Code:
ll /usr/portage/x11-libs//gtk+/
total 143
drwxr-xr-x 1 portage portage   372 Apr  9 21:01 .
drwxr-xr-x 1 portage portage  2442 Apr 10 09:31 ..
-rw-r--r-- 1 root    root    74646 Apr  9 21:01 ChangeLog
-rw-r--r-- 1 root    root     8086 Apr  9 21:01 Manifest
drwxr-xr-x 1 portage portage  1134 Apr 10 09:31 files
-rw-r--r-- 1 root    root     2386 Aug  1  2008 gtk+-1.2.10-r12.ebuild
-rw-r--r-- 1 root    root     6422 Nov 15 23:58 gtk+-2.20.1-r1.ebuild
-rw-r--r-- 1 root    root     7597 Mar 22 21:01 gtk+-2.22.1-r1.ebuild
-rw-r--r-- 1 root    root     7374 Feb  9 18:18 gtk+-2.24.0.ebuild
-rw-r--r-- 1 root    root     7386 Feb 27 11:01 gtk+-2.24.1.ebuild
-rw-r--r-- 1 root    root     7384 Mar 18 20:09 gtk+-2.24.3.ebuild
-rw-r--r-- 1 root    root     5806 Mar 30 10:01 gtk+-3.0.6.ebuild
-rw-r--r-- 1 root    root     5925 Apr  9 21:01 gtk+-3.0.8.ebuild
-rw-r--r-- 1 root    root      549 Jun 20  2010 metadata.xml


Code:
ll /var/lib/layman/gnome/x11-libs/gtk+/
total 9
drwxr-xr-x 1 root root   48 Apr 10 10:16 .
drwxr-xr-x 1 root root  128 Apr 10 10:16 ..
-rw-r--r-- 1 root root 1080 Apr 10 10:16 Manifest
-rw-r--r-- 1 root root 5907 Apr 10 10:16 gtk+-9999.ebuild



besides to unmask the "introspection" USE flag, you need to notice the "keyword" packages,

and use directory "package.keywords" instead of plain file will be better

Code:

mkdir /etc/portage/package.keywords/
cd /etc/portage/package.keywords/
ln -s /var/lib/layman/gnome/status/portage-configs/package.keywords.gnome3
mkdir /etc/portage/profile/
cd /etc/portage/profile/
ln -s  /var/lib/layman/gnome/status/portage-configs/package.keywords.gnome3 use.mask
Back to top
View user's profile Send private message
cdstealer
Guru
Guru


Joined: 30 Oct 2005
Posts: 423
Location: Leeds

PostPosted: Sun Apr 10, 2011 11:04 am    Post subject: Reply with quote

you need to add packages to package.keywords and package.unmask.

Add the following to /etc/portage/package.keywords

gnome-base/gnome-light
gnome-base/gnome-shell
x11-wm/metacity
x11-themes/gnome-icon-theme
gnome-base/gnome-panel
x11-libs/gtk+
x11-libs/libwnck
gnome-base/gnome-desktop
dev-libs/libgweather
dev-libs/glib
net-libs/telepathy-glib
gnome-base/dconf
dev-lang/vala
gnome-base/gsettings-desktop-schemas
gnome-base/gnome-core-libs
gnome-base/gnome-settings-daemon
gnome-base/nautilus
media-libs/libexif
gnome-base/libgnomekbd
x11-terms/gnome-terminal
x11-themes/gnome-themes-standard
x11-libs/libxklavier
x11-libs/vte
x11-libs/gnome-pty-helper
media-fonts/cantarell
gnome-base/gnome-control-center
gnome-base/gnome-session
x11-wm/mutter
x11-themes/gnome-icon-theme-symbolic
gnome-base/gvfs
x11-libs/pango
dev-libs/gjs
media-libs/clutter
net-wireless/gnome-bluetooth
net-misc/networkmanager
x11-libs/gdk-pixbuf
net-libs/libsocialweb
media-libs/libcanberra
sys-fs/udev
net-print/cups
media-video/cheese
sys-apps/accountsservice
net-libs/rest
net-dialup/ppp
dev-libs/gobject-introspection
x11-libs/mx
media-libs/gst-plugins-base
media-libs/gstreamer
media-libs/clutter-gtk
media-video/gnome-video-effects
media-libs/clutter-gst
dev-libs/json-glib
net-im/telepathy-logger
sys-auth/polkit
gnome-extra/nm-applet
net-libs/xulrunner
dev-libs/nspr
dev-libs/nss
dev-libs/atk
gnome-extra/polkit-gnome
gnome-base/gdm
gnome-extra/gnome-media
www-client/firefox
media-plugins/gst-plugins-*
gnome-base/gnome-applets

Add the following to /etc/portage/package.unmask

net-libs/telepathy-glib
gnome-base/gdm
gnome-extra/gnome-power-manager
_________________
# touch it
touch: cannot touch `it': Permission denied
Back to top
View user's profile Send private message
jancici
Apprentice
Apprentice


Joined: 27 Jan 2004
Posts: 284
Location: Slovakia

PostPosted: Sun Apr 10, 2011 11:56 am    Post subject: Reply with quote

sorry I was wrong
I just copy past that echo and did not check

this is correct
Code:
echo -introspection >> /etc/portage/profile/use.mask


thanks for that link to keywords file, save time to create it

so I am already compiling gnome3, hope emerge will end without problems ...
Back to top
View user's profile Send private message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Sun Apr 10, 2011 3:57 pm    Post subject: Reply with quote

cdstealer wrote:
you need to add packages to package.keywords and package.unmask.

Add the following to /etc/portage/package.keywords

gnome-base/gnome-light
gnome-base/gnome-shell
x11-wm/metacity
x11-themes/gnome-icon-theme
gnome-base/gnome-panel
x11-libs/gtk+
x11-libs/libwnck
gnome-base/gnome-desktop
dev-libs/libgweather
dev-libs/glib
net-libs/telepathy-glib
gnome-base/dconf
dev-lang/vala
gnome-base/gsettings-desktop-schemas
gnome-base/gnome-core-libs
gnome-base/gnome-settings-daemon
gnome-base/nautilus
media-libs/libexif
gnome-base/libgnomekbd
x11-terms/gnome-terminal
x11-themes/gnome-themes-standard
x11-libs/libxklavier
x11-libs/vte
x11-libs/gnome-pty-helper
media-fonts/cantarell
gnome-base/gnome-control-center
gnome-base/gnome-session
x11-wm/mutter
x11-themes/gnome-icon-theme-symbolic
gnome-base/gvfs
x11-libs/pango
dev-libs/gjs
media-libs/clutter
net-wireless/gnome-bluetooth
net-misc/networkmanager
x11-libs/gdk-pixbuf
net-libs/libsocialweb
media-libs/libcanberra
sys-fs/udev
net-print/cups
media-video/cheese
sys-apps/accountsservice
net-libs/rest
net-dialup/ppp
dev-libs/gobject-introspection
x11-libs/mx
media-libs/gst-plugins-base
media-libs/gstreamer
media-libs/clutter-gtk
media-video/gnome-video-effects
media-libs/clutter-gst
dev-libs/json-glib
net-im/telepathy-logger
sys-auth/polkit
gnome-extra/nm-applet
net-libs/xulrunner
dev-libs/nspr
dev-libs/nss
dev-libs/atk
gnome-extra/polkit-gnome
gnome-base/gdm
gnome-extra/gnome-media
www-client/firefox
media-plugins/gst-plugins-*
gnome-base/gnome-applets

Add the following to /etc/portage/package.unmask

net-libs/telepathy-glib
gnome-base/gdm
gnome-extra/gnome-power-manager

i do this , the error messages gone , but still gnome 2.32 compiles :(
please step by step tell me how install this . i already added gnome3 overlays . what to do next?
thanks
_________________
Iove linux
Back to top
View user's profile Send private message
gnot
n00b
n00b


Joined: 02 May 2008
Posts: 20

PostPosted: Sun Apr 10, 2011 5:00 pm    Post subject: Reply with quote

redwold wrote:

i do this , the error messages gone , but still gnome 2.32 compiles :(
please step by step tell me how install this . i already added gnome3 overlays . what to do next?
thanks



1. backup /etc/portage/package.keywords, use an directory instead of plain file(direct to 2 if it is a directory).
example:
mv /etc/portage/package.keywords ~/
mkdir /etc/portage/package.keywords
mv ~/package.keywords /etc/portage/package.keywords/

2. do a soft link to package.keywords.gnome3 in /etc/portage/package.keywords/
for example, if /var/lib/layman/gnome/ is your path to gnome overlay, run the command below:
ln -s /var/lib/layman/gnome/status/portage-configs/package.keywords.gnome3 /etc/portage/package.keywords/

3. so as the /etc/portage/package.unmask
mv /etc/portage/package.unmask ~/
mkdir /etc/portage/package.unmask
mv ~/package.unmask /etc/portage/package.unmask/
ln -s /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3 /etc/portage/package.unmask/

4. and then the use.mask
cat /var/lib/layman/gnome/status/portage-configs/ >> /etc/portage/profile/use.mask

5. unmerge gnome2, edit /var/lib/portage/world, remove the packages that relative to gnome2, then run emerge --depclean

6. rebuild already existed packages to use new USE
emerge -avuDN world

7. "emerge -av gnome" or "emerge -av gnome-light"


try "emerge =gnome-base/gnome-3.0.0", is there any error messages?
Back to top
View user's profile Send private message
rootnt
n00b
n00b


Joined: 18 Mar 2011
Posts: 4

PostPosted: Sun Apr 10, 2011 5:09 pm    Post subject: Reply with quote

awww
i thought i can have both gnom-2.32 and gnome-3
just wanna test gnome-3
then i'll wait ...
Back to top
View user's profile Send private message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Mon Apr 11, 2011 3:22 pm    Post subject: Reply with quote

thanks for your reply , but at the time of compiling gnome-icon-theme there are an error occurs telling - unable to run aclocal
_________________
Iove linux
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5673
Location: Removed by Neddy

PostPosted: Mon Apr 11, 2011 3:57 pm    Post subject: Reply with quote

rootnt wrote:
awww
i thought i can have both gnom-2.32 and gnome-3
just wanna test gnome-3
then i'll wait ...


there was talk about making gnome3 slotted but that is when it gets merged into the tree so atm no joy
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
bzugda
n00b
n00b


Joined: 19 Oct 2002
Posts: 39
Location: Barnsley

PostPosted: Tue Apr 12, 2011 9:22 am    Post subject: Reply with quote

Quick thanks to gnot for pointing out those portage config files in the overlay. I've been struggling with this build for days trying to figure out the deps, never knew those configs existed in the overlay and despite quite a bit of googling over the last few days I've not seen them mentioned anywhere else. Are they in a wiki or something? 'cos if not I suggest they should be.

Still haven't built it but I feel like a missing link has been slotted into place all of a sudden ;p

Matt
_________________
I'm too short for this shit
Back to top
View user's profile Send private message
redwold
n00b
n00b


Joined: 15 Oct 2010
Posts: 25

PostPosted: Tue Apr 12, 2011 4:02 pm    Post subject: Reply with quote

after emerging autoconf again now i am installing gnome 3 . Hope everything goes alright.
_________________
Iove linux
Back to top
View user's profile Send private message
monsm
Guru
Guru


Joined: 26 Sep 2007
Posts: 467
Location: London, UK

PostPosted: Tue Apr 12, 2011 7:19 pm    Post subject: Reply with quote

I am almost ready to start emerge too. I am getting lots of blockage at the moment. Guess I just need to work through them one by one....

Mons
Back to top
View user's profile Send private message
mlinuxgada
n00b
n00b


Joined: 26 Nov 2007
Posts: 10

PostPosted: Sat Apr 16, 2011 5:44 pm    Post subject: Reply with quote

I've a problem compiling net-libs/glib-networking. The sample output is:
Code:

.
.
.
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_authenticate'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_get_saved_password'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_get_saved_users'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_message_headers_set_content_type'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_http_error_quark'
collect2: ld returned 1 exit status
make[2]: *** [glib-pacrunner] Error 1
make[2]: Leaving directory `/New_Multimedia/Gentoo/tmp/portage/net-libs/glib-networking-2.28.5/work/glib-networking-2.28.5/proxy/libproxy'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/New_Multimedia/Gentoo/tmp/portage/net-libs/glib-networking-2.28.5/work/glib-networking-2.28.5'
make: *** [all] Error 2
emake failed
 * ERROR: net-libs/glib-networking-2.28.5 failed (compile phase):
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 3108:  Called gnome2_src_compile
 *   environment, line 2385:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
.
.

and
Code:

Portage 2.1.9.46 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.13-r2, 2.6.38-gentoo-r1-mlinuxgada x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.38-gentoo-r1-mlinuxgada-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.2
Timestamp of tree: Sat, 16 Apr 2011 13:15:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.2_p8
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.0
sys-apps/sandbox:    2.5
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.4-r1, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.38
virtual/os-headers:  2.6.38 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer"
DISTDIR="/New_Multimedia/Gentoo/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.bg/ http://ftp.romnet.org/gentoo/ ftp://mirrors.ludost.net/gentoo/"
LANG="bg_BG.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/New_Multimedia/Gentoo/tmp"
PORTDIR="/New_Multimedia/Gentoo/source"
PORTDIR_OVERLAY="/var/lib/layman/gnome /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="52 X aac acl alsa amd64 apache2 bash-completion berkdb bluetooth bzip2 cairo cdr cgi cli cracklib crypt ctype cups curl curlwrappers cxx cyrillic dbus device-mapper dri dvb dvd dvdread extras fat ffmpeg flac fortran gd gdbm gif gnome gpm gtk gtk3 iconv icu imap ipv6 java jpeg live mad matroska mmx mng modules mp2 mp3 mp4 mpeg msse4 mudflap multilib musepack mysql mysqli ncurses nls nptl nptlonly nsplugin ogg openal opengl openmp optimisememory oss pam pcre pdo perl php png policykit pppd python qt3support qt4 quicktime readline reiserfs secure-delete session simplexml skins snmp sockets sql sse sse2 ssl ssse3 subversion svg sysfs tcpd theora threads tidy tiff tokenizer truetype type1 udev unicode usb vdpau vorbis webkit x264 xfs xml xmlreader xmlrpc xmlwriter xorg xsl xv xvid xvmc zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" NETBEANS_MODULES="php ide websvccommon nb harness" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
gnot
n00b
n00b


Joined: 02 May 2008
Posts: 20

PostPosted: Sun Apr 17, 2011 2:38 am    Post subject: Reply with quote

mlinuxgada wrote:
I've a problem compiling net-libs/glib-networking. The sample output is:
Code:

.
.
.
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_authenticate'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_get_saved_password'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_auth_get_saved_users'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_message_headers_set_content_type'
/usr/lib64/libwebkit-1.0.so.2: undefined reference to `soup_http_error_quark'
collect2: ld returned 1 exit status
make[2]: *** [glib-pacrunner] Error 1
make[2]: Leaving directory `/New_Multimedia/Gentoo/tmp/portage/net-libs/glib-networking-2.28.5/work/glib-networking-2.28.5/proxy/libproxy'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/New_Multimedia/Gentoo/tmp/portage/net-libs/glib-networking-2.28.5/work/glib-networking-2.28.5'
make: *** [all] Error 2
emake failed
 * ERROR: net-libs/glib-networking-2.28.5 failed (compile phase):
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 3108:  Called gnome2_src_compile
 *   environment, line 2385:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
.
.



it seems that you should update net-libs/libproxy to version 0.4.6-r300 first.
Back to top
View user's profile Send private message
gnot
n00b
n00b


Joined: 02 May 2008
Posts: 20

PostPosted: Sun Apr 17, 2011 2:45 am    Post subject: Reply with quote

bzugda wrote:
Quick thanks to gnot for pointing out those portage config files in the overlay. I've been struggling with this build for days trying to figure out the deps, never knew those configs existed in the overlay and despite quite a bit of googling over the last few days I've not seen them mentioned anywhere else. Are they in a wiki or something? 'cos if not I suggest they should be.

Still haven't built it but I feel like a missing link has been slotted into place all of a sudden ;p

Matt


I care about changes in gnome overlay, and found status and scripts inside.
actually learn it from KDE4 guide, http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml
=v=
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum